package com.sunxung.factoring.entity.fundmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.fundmanagement.vo.LoanInfoVo;
import com.sunxung.factoring.entity.project.Project;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description : 客户支用信息实体表
 * @Author : L.Jia
 * @Date: 2023-02-22 17:51
 */

@TableName("financial_customer_expenditure_info")
public class FinancialCustomerExpenditureInfo extends Project {

    /**
     * 业务编号
     */
    @TableField(exist = false)
    private String businessNumber;

    /**
     * 关联客户支用信息表Id
     **/
    @TableField(value = "financial_relation_customer_disburse_id")
    private Long financialRelationCustomerDisburseId;

    /**
     * 客户支用状态
     */
    @TableField(value = "disburse_status")
    private Long disburseStatus;

    /**
     * 流程id
     */
    @TableField(exist = false)
    private String taskId;

    /***
     * 资方名称
     */
    @TableField(exist = false)
    private String institutionName;

    /**
     * 合同编号
     */
    @TableField(exist = false)
    private String contractNo;

    /**
     * 批次号
     */
    @TableField(exist = false)
    private Integer quotaDisburseBatch;

    /** 到期日 **/
    @TableField(exist = false)
    private Date expireDate;

    /**
     * 放款信息
     */
    @TableField(exist = false)
    private LoanInfoVo loanInfoVo;

    /**
     * 是否显示上传合同附件按钮
     */
    @TableField(exist = false)
    private Boolean uploadButton;

    public Long getFinancialRelationCustomerDisburseId() {
        return financialRelationCustomerDisburseId;
    }

    public void setFinancialRelationCustomerDisburseId(Long financialRelationCustomerDisburseId) {
        this.financialRelationCustomerDisburseId = financialRelationCustomerDisburseId;
    }

    public Long getDisburseStatus() {
        return disburseStatus;
    }

    public void setDisburseStatus(Long disburseStatus) {
        this.disburseStatus = disburseStatus;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public LoanInfoVo getLoanInfoVo() {
        return loanInfoVo;
    }

    public void setLoanInfoVo(LoanInfoVo loanInfoVo) {
        this.loanInfoVo = loanInfoVo;
    }

    public Boolean getUploadButton() {
        return uploadButton;
    }

    public void setUploadButton(Boolean uploadButton) {
        this.uploadButton = uploadButton;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    @Override
    public String getBusinessNumber() {
        return businessNumber;
    }

    @Override
    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }
}
